/*
Temperature on serial monitor Tutorial by ROBO INDIA
LM 35 Temp. IC is used.
http://roboindia.com/
*/

int temp_pin = A0;  // LM 35 is connected to A0 Pin.
float temp;         // Variable to store temperature value.

void setup() {
   Serial.begin(9600); // Serial comm. starting.
   Serial.println("Robo India"); 
   Serial.println("LM 35 Tutorial");
   delay(2000);  
}

void loop() {
  
  temp = ReadTemp(); // Reading Temperature. 
  Serial.print("Temperature is-");
  Serial.print(temp); // Printing Temperature on serial port
  Serial.print(" degree celsius\n");
  delay(1000);       // delay of 1 second.  
}

// Function to read temperature.
float ReadTemp(){
int ip_adc_val = 0;
float temp =0;
temp = (5.0 * analogRead(temp_pin) * 100.0) / 1024;
return temp;
}
